<?php
$removeinfo = esc_attr(get_option('dvteam_removeinfo'));
if (empty($categoryid)) {
    $dvteamcarargs = array(
        'post_type' => 'dvourteam',
        'posts_per_page' => $max
    );
}
else {
    $dvteamcarcatid_array = explode(',', $categoryid);
    $dvteamcarargs = array(
        'post_type' => 'dvourteam',
        'posts_per_page' => $max,
        'tax_query' => array(
            array(
                'taxonomy' => 'dvteamtaxonomy',
                'terms'    => $dvteamcarcatid_array,
            ),
        )
    );
}
$dvteamcar_query = new WP_Query( $dvteamcarargs );
$random = rand();
?>

<div id="dv-overlay"></div>
<div id="dvteamcarousel<?php echo esc_attr($random); ?>" class="dvteamgrid owl-carousel <?php if(!empty($rounded)) { echo esc_attr($rounded); } ?>">
<?php while($dvteamcar_query->have_posts()) : $dvteamcar_query->the_post(); ?>
    <?php if ( has_post_thumbnail() ) { ?>
    <?php 
$thumb_id = get_post_thumbnail_id();
if ($gridstyle == 'rectangle') {                                       
    $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'dv-team-rectangle', true);
}
elseif ($gridstyle == 'square') {                                       
    $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'dv-team-square', true);
}
else {
    $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'large', true);
}
$thumb_url = $thumb_url_array[0];  
    ?>
    <?php $dvexcerpt = get_post_meta( get_the_id(), 'dvexcerpt', true ); ?>
    <?php $dvptlink = get_post_meta( get_the_id(), 'dvptlink', true ); ?>
    <div>
        <figure class="">
            <a id="dvgridboxlink<?php echo esc_attr($random); ?><?php the_ID(); ?>"<?php if ( has_post_format( 'link' )) { ?> href="<?php echo esc_url($dvptlink); ?>" target="_blank"<?php } else { ?> href="#dvteambox<?php echo esc_attr($random); ?><?php the_ID(); ?>"<?php } ?> <?php if (($side == 'center') && (!has_post_format( 'link' ))) { ?> class="popup-with-zoom-anim" <?php } ?>>
                <img src="<?php echo esc_url($thumb_url); ?>" alt="<?php the_title(); ?>" />
                <?php if ($removeinfo != 'true') { ?>
                <div class="dv-member-zoom"></div>
                <?php } ?>
            </a>
                <figcaption>
                    <div class="dv-member-desc">
                        <div><span class="dv-member-name"><?php the_title(); ?></span></div>
                        <?php if (!empty($dvexcerpt)) { ?>
                        <div><span class="dv-member-info"><?php echo esc_attr($dvexcerpt); ?></span></div>
                        <?php } ?>
                    </div>
                </figcaption>
        </figure>
    </div>
    <?php } ?>
    <?php endwhile; ?>
</div>
<div class="dv-clear"></div>

<script type="text/javascript">
    jQuery(document).ready(function () {
        imagesLoaded('#dvteamcarousel<?php echo esc_attr($random); ?>', function () {
        jQuery("#dvteamcarousel<?php echo esc_attr($random); ?>").owlCarousel({
            items: 1,
            margin: <?php echo esc_js($spacing); ?>,
            dots: false,
            <?php if (is_rtl()) { echo esc_js("rtl:true,"); } ?>
            autoplay: <?php echo esc_js($autoplay); ?>,
            autoplayTimeout: <?php echo esc_js($duration); ?>000,
            autoplayHoverPause: true,
            <?php if (($columns != '4') && ($columns != '3') && ($columns != '2')) { ?>
            autoHeight: true,
            <?php } ?>
            smartSpeed: 800,
            navText: [' ', ' '],
            nav: true,
            loop: <?php echo esc_js($autoplay); ?>,
            <?php if ($columns == '4') { ?>
            responsive: {
                480: {
                    items: 1
                },
                640: {
                    items: 2
                },
                900: {
                    items: 4
                }
            }
            <?php } ?>
            <?php if ($columns == '3') { ?>
            responsive: {
                480: {
                    items: 1
                },
                640: {
                    items: 2
                },
                900: {
                    items: 3
                }
            }
            <?php } ?>
            <?php if ($columns == '2') { ?>
            responsive: {
                480: {
                    items: 1
                },
                640: {
                    items: 1
                },
                900: {
                    items: 2
                }
            }
            <?php } ?>                                                     
        });
        jQuery("#dvteamcarousel<?php echo esc_attr($random); ?>").css('visibility','visible');    
    });
});        
</script>
<?php
self::$dv_team_args[] = $dvteamcarargs;
self::$dv_team_id[] = $random;
self::$dv_team_panel_side[] = $side;
?>
<?php wp_reset_postdata(); ?>