<?php
global $paged;

if ( get_query_var('paged') ) { 
    $paged = get_query_var('paged'); 
}
elseif ( get_query_var('page') ) { 
    $paged = get_query_var('page'); 
}
else { 
    $paged = 1; 
}
if (empty($categoryid)) {
    $dvteamthumbargs = array(
        'post_type' => 'dvourteam',
        'posts_per_page' => $max,
        'paged' => $paged
    );
}
else {
    $dvteamtcatid_array = explode(',', $categoryid);
    $dvteamthumbargs = array(
        'post_type' => 'dvourteam',
        'posts_per_page' => $max,
        'tax_query' => array(
            array(
                'taxonomy' => 'dvteamtaxonomy',
                'terms'    => $dvteamtcatid_array,
            ),
        ),
        'paged' => $paged
    );
}
$dvteamthumbs_query = new WP_Query( $dvteamthumbargs );
$random = rand();
$pagination = esc_attr(get_option('dvteam_pagination'));
?>
<div id="dv-overlay"></div>
<ul id="dvteam-thumbnails<?php echo esc_js($random); ?>" class="dvteam-thumbnails <?php if(!empty($rounded)) { echo esc_attr($rounded); } ?>">
<?php while($dvteamthumbs_query->have_posts()) : $dvteamthumbs_query->the_post(); ?>
    <?php 
if ( has_post_thumbnail() ) {
$thumb_id = get_post_thumbnail_id();    
$thumb_url_array = wp_get_attachment_image_src($thumb_id, 'thumbnail', true);
$thumb_url = $thumb_url_array[0];  
    ?>
    <?php $dvptlink = get_post_meta( get_the_id(), 'dvptlink', true ); ?>
    <li id="dvteamid-<?php the_ID(); ?>">
            <a id="dvgridboxlink<?php echo esc_attr($random); ?><?php the_ID(); ?>"<?php if ( has_post_format( 'link' )) { ?> href="<?php echo esc_url($dvptlink); ?>" target="_blank"<?php } else { ?> href="#dvteambox<?php echo esc_attr($random); ?><?php the_ID(); ?>"<?php } ?> <?php if (($side == 'center') && (!has_post_format( 'link' ))) { ?> class="popup-with-zoom-anim" <?php } ?>>
                <img src="<?php echo esc_url($thumb_url); ?>" alt="<?php the_title(); ?>" />
            </a>
    </li>
    <?php } ?>
    <?php endwhile; ?>
</ul>
<div class="dv-clear"></div>

<?php if ($pagination == 'true') { ?>
<div class="dvteam-blogpager thumb-pager">
    <div class="dvteam-previous">
        <?php next_posts_link( esc_attr__( '&#8249; Previous', 'dvteam' ), $dvteamthumbs_query->max_num_pages ); ?>
    </div>
    <div class="dvteam-next">
        <?php previous_posts_link( esc_attr__( 'Next &#8250;', 'dvteam' ), $dvteamthumbs_query->max_num_pages ); ?>
    </div>
</div>
<div class="dv-clear"></div>
<?php } ?>


<?php $align = esc_attr(get_option('dvteam_thumbnailalign')); ?>
<script type="text/javascript">
    jQuery(document).ready(function () {
        "use strict";
        var wookmark;
        imagesLoaded('#dvteam-thumbnails<?php echo esc_attr($random); ?>', function () {
            wookmark = new Wookmark('#dvteam-thumbnails<?php echo esc_attr($random); ?>', {
                itemWidth: 100,
                autoResize: true,
                resizeDelay: 500,
                <?php if (is_rtl()) { echo stripslashes(esc_js("direction: 'right',")); } ?>
                align: '<?php if (!empty($align)) { echo esc_js($align); } else { echo esc_js('left'); } ?>',
                container: jQuery('#dvteam-thumbnails<?php echo esc_attr($random); ?>'),
                offset: <?php if (!empty($offset) || $offset == '0') { echo esc_js($offset); } else { echo esc_js('0'); } ?>,
                outerOffset: 0,
                fillEmptySpace: false,
                flexibleWidth: '100%'
            });
            setTimeout(function(){
                jQuery("#dvteam-thumbnails<?php echo esc_attr($random); ?>").css('visibility','visible');
            }, 100);
        });
    });
</script>
<?php
self::$dv_team_args[] = $dvteamthumbargs;
self::$dv_team_id[] = $random;
self::$dv_team_panel_side[] = $side;
?>
<?php wp_reset_postdata(); ?>