<?php
add_shortcode('dvteam', 'dvteam');
add_shortcode('dvteamfilter', 'dvteamfilter');
add_shortcode('dvteamcarousel', 'dvteamcarousel');
add_shortcode('dvmember', 'dvmember');
add_shortcode('dvthumbnails', 'dvthumbnails');
add_shortcode('dvskills', 'dvskills');
add_shortcode('dvskill', 'dvskill');
add_shortcode('dvcv', 'dvcv');

add_filter("the_content", "dvteam_content_filter");
add_filter("widget_text", "dvteam_content_filter", 9);

function dvteam_content_filter($content) {
 
	// array of custom shortcodes requiring the fix 
	$block = join("|",array("dvteam","dvteamfilter","dvteamcarousel","dvmember","dvthumbnails","dvskills","dvskill","dvcv"));
 
	// opening tag
	$rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/","[$2$3]",$content);
		
	// closing tag
	$rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)?/","[/$2]",$rep);
 
	return $rep;
 
}

// Dv Team Shortcode
class dvteam_shortcode {
    static $add_script;
    static $dv_team_id;
    static $dv_team_args;
    static $dv_team_panel_side;

	static function dvteam_init() {
		add_shortcode('dvteam', array(__CLASS__, 'dvteam_handle_shortcode'));
		add_action('wp_footer', array(__CLASS__, 'dvteam_scripts_output'));
	}

	static function dvteam_handle_shortcode($atts) {
        self::$add_script = true;
		extract(shortcode_atts(array(
            "max" => 'max',
            "categoryid" => 'categoryid',
            "gridstyle" => 'gridstyle',
            "offset" => 'offset',
            "itemwidth" => 'itemwidth',
            "side" => 'side',
            "rounded" => 'rounded'
        ), $atts));
        ob_start();
        include('ourteam.php');
        $content = ob_get_clean();
        return $content;
	}

	static function dvteam_scripts_output() { 
        if ( ! self::$add_script ) {
			return;
        }
        
        include('panels.php');
        include_once('styles.php');
        
        wp_enqueue_style('dvteam_styles');
        if (is_rtl()) {
            wp_enqueue_style('dvteam_styles_rtl');
        }
        wp_enqueue_style('dvteam_scrollbar_styles');
        wp_enqueue_style('dv_popup_style');
        wp_enqueue_script('dv_imagesloaded');
        wp_enqueue_script('dv_wookmark');
        wp_enqueue_script('dv_scrollbar');
        wp_enqueue_script('dv_slidepanel');
        wp_enqueue_script('dv_popup');
        wp_enqueue_script('dv_slidizle');
        wp_enqueue_script('dvteam_custom');
    }
}

dvteam_shortcode::dvteam_init();

// Filterable Dv Team Shortcode
class dvteamfilter_shortcode {
    static $add_script;
    static $dv_team_id;
    static $dv_team_args;
    static $dv_team_panel_side;

	static function dvteamfilter_init() {
		add_shortcode('dvteamfilter', array(__CLASS__, 'dvteam_handle_shortcode'));
		add_action('wp_footer', array(__CLASS__, 'dvteam_scripts_output'));
	}

	static function dvteam_handle_shortcode($atts) {
        self::$add_script = true;
		extract(shortcode_atts(array(
            "max" => 'max',
            "gridstyle" => 'gridstyle',
            "offset" => 'offset',
            "itemwidth" => 'itemwidth',
            "side" => 'side',
            "exclude" => 'exclude',
            "rounded" => 'rounded'
        ), $atts));
        ob_start();
        include('ourteam-filter.php');
        $content = ob_get_clean();
        return $content;
	}

	static function dvteam_scripts_output() { 
        if ( ! self::$add_script ) {
			return;
        }
        
        include('panels.php');
        include_once('styles.php');
        
        wp_enqueue_style('dvteam_styles');
        if (is_rtl()) {
            wp_enqueue_style('dvteam_styles_rtl');
        }
        wp_enqueue_style('dvteam_scrollbar_styles');
        wp_enqueue_style('dv_popup_style');
        wp_enqueue_script('dv_imagesloaded');
        wp_enqueue_script('dv_wookmark');
        wp_enqueue_script('dv_scrollbar');
        wp_enqueue_script('dv_slidepanel');
        wp_enqueue_script('dv_popup');
        wp_enqueue_script('dv_slidizle');
        wp_enqueue_script('dvteam_custom');
    } 
}

dvteamfilter_shortcode::dvteamfilter_init();

// DV Team Carousel Shortcode
class dvteamcarousel_shortcode {
    static $add_script;
    static $dv_team_id;
    static $dv_team_args;
    static $dv_team_panel_side;

	static function dvteamcarousel_init() {
		add_shortcode('dvteamcarousel', array(__CLASS__, 'dvteam_handle_shortcode'));
		add_action('wp_footer', array(__CLASS__, 'dvteam_scripts_output'));
	}

	static function dvteam_handle_shortcode($atts) {
        self::$add_script = true;
		extract(shortcode_atts(array(
            "max" => 'max',
            "categoryid" => 'categoryid',
            "columns" => 'columns',
            "gridstyle" => 'gridstyle',
            "autoplay" => 'autoplay',
            "duration" => 'duration',
            "spacing" => 'spacing',
            "side" => 'side',
            "rounded" => 'rounded'
	   ), $atts));
        ob_start();
        include('dvteam-carousel.php');
        $content = ob_get_clean();
        return $content;
	}

	static function dvteam_scripts_output() { 
        if ( ! self::$add_script ) {
			return;
        }
        
        include('panels.php');
        include_once('styles.php');
        
        wp_enqueue_style('dvteam_styles');
        if (is_rtl()) {
            wp_enqueue_style('dvteam_styles_rtl');
        }
        wp_enqueue_style('dvteam_scrollbar_styles');
        wp_enqueue_style('dv_popup_style');
        wp_enqueue_style('dv_owl_style');
        wp_enqueue_script('dv_imagesloaded');
        wp_enqueue_script('dv_owl');
        wp_enqueue_script('dv_scrollbar');
        wp_enqueue_script('dv_slidepanel');
        wp_enqueue_script('dv_popup');
        wp_enqueue_script('dv_slidizle');
        wp_enqueue_script('dvteam_custom');
        include_once('styles.php');
    } 
}

dvteamcarousel_shortcode::dvteamcarousel_init();

// Dv Thumbnails Shortcode
class dvthumbnails_shortcode {
    static $add_script;
    static $dv_team_id;
    static $dv_team_args;
    static $dv_team_panel_side;

	static function dvthumbnails_init() {
		add_shortcode('dvthumbnails', array(__CLASS__, 'dvteam_handle_shortcode'));
		add_action('wp_footer', array(__CLASS__, 'dvteam_scripts_output'));
	}

	static function dvteam_handle_shortcode($atts) {
        self::$add_script = true;
		extract(shortcode_atts(array(
            "max" => 'max',
            "categoryid" => 'categoryid',
            "offset" => 'offset',
            "side" => 'side',
            "rounded" => 'rounded'
        ), $atts));
        ob_start();
        include('dvteam-thumbnails.php');
        $content = ob_get_clean();
        return $content;
	}

	static function dvteam_scripts_output() { 
        if ( ! self::$add_script ) {
			return;
        }
        
        include('panels.php');
        include_once('styles.php');
        
        wp_enqueue_style('dvteam_styles');
        if (is_rtl()) {
            wp_enqueue_style('dvteam_styles_rtl');
        }
        wp_enqueue_style('dvteam_scrollbar_styles');
        wp_enqueue_style('dv_popup_style');
        wp_enqueue_script('dv_imagesloaded');
        wp_enqueue_script('dv_wookmark');
        wp_enqueue_script('dv_scrollbar');
        wp_enqueue_script('dv_slidepanel');
        wp_enqueue_script('dv_popup');
        wp_enqueue_script('dv_slidizle');
        wp_enqueue_script('dvteam_custom');
    } 
}

dvthumbnails_shortcode::dvthumbnails_init();

// Dv Member Shortcode
class dvmember_shortcode {
    static $add_script;
    static $dv_team_id;
    static $dv_team_args;
    static $dv_team_panel_side;

	static function dvmember_init() {
		add_shortcode('dvmember', array(__CLASS__, 'dvteam_handle_shortcode'));
		add_action('wp_footer', array(__CLASS__, 'dvteam_scripts_output'));
	}

	static function dvteam_handle_shortcode($atts) {
        self::$add_script = true;
		extract(shortcode_atts(array(
            "id" => 'id',
            "gridstyle" => 'gridstyle',
            "offset" => 'offset',
            "itemwidth" => 'itemwidth',
            "side" => 'side',
            "rounded" => 'rounded'
        ), $atts));
        ob_start();
        include('member.php');
        $content = ob_get_clean();
        return $content;
	}

	static function dvteam_scripts_output() { 
        if ( ! self::$add_script ) {
			return;
        }
        
        include('panels.php');
        include_once('styles.php');
        
        wp_enqueue_style('dvteam_styles');
        if (is_rtl()) {
            wp_enqueue_style('dvteam_styles_rtl');
        }
        wp_enqueue_style('dvteam_scrollbar_styles');
        wp_enqueue_style('dv_popup_style');
        wp_enqueue_script('dv_imagesloaded');
        wp_enqueue_script('dv_wookmark');
        wp_enqueue_script('dv_scrollbar');
        wp_enqueue_script('dv_slidepanel');
        wp_enqueue_script('dv_popup');
        wp_enqueue_script('dv_slidizle');
        wp_enqueue_script('dvteam_custom');
    } 
}

dvmember_shortcode::dvmember_init();

// DV Skills Shortcode
function dvskills($atts, $content = null) {
    return '<div class="dvskills">' . do_shortcode(stripslashes($content)) . '</div>';
}

// DV Skill Shortcode
function dvskill($atts, $content = null) {
    extract(shortcode_atts(array(
		"title" => 'title',
        "percent" => 'percent'
	), $atts));
    return '<div class="dvskillbar" data-percent="' . $percent . '%"><div class="dvskillbar-title"><span>' . $title . '</span></div><div class="dvskillbar-bar"></div><div class="dvskill-bar-percent">' . $percent . '%</div></div>';
}

// DV CV Shortcode
function dvcv($atts, $content = null) {
    extract(shortcode_atts(array(
        "title" => 'title',
        "subtitle" => 'subtitle'
	), $atts));
    return '<div class="dvcv-title">' . $title . '</div><div class="dvcv-subtitle">' . $subtitle . '</div><div class="dvcv-content">' . do_shortcode( $content ) . '</div>';
}
?>