<?php
$removeinfo = esc_attr(get_option('dvteam_removeinfo'));
$memberid_array = explode(',', $id);	
$dvmemberargs = array(
    'post_type' => 'dvourteam',
    'posts_per_page' => 99,
    'post__in' => $memberid_array
);

$dvmember_query = new WP_Query( $dvmemberargs );
$random = rand();
?>
<div id="dv-overlay"></div>
<ul id="dvteamgrid<?php echo esc_attr($random); ?>" class="dvteamgrid <?php if(!empty($rounded)) { echo esc_attr($rounded); } ?>">
<?php while($dvmember_query->have_posts()) : $dvmember_query->the_post(); ?>
    <?php if ( has_post_thumbnail() ) { ?>
    <?php 
$thumb_id = get_post_thumbnail_id();
if ($gridstyle == 'rectangle') {                                       
    $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'dv-team-rectangle', true);
}
elseif ($gridstyle == 'square') {                                       
    $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'dv-team-square', true);
}
else {
    $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'large', true);
}
$thumb_url = $thumb_url_array[0];  
    ?>
    <?php $dvexcerpt = get_post_meta( get_the_id(), 'dvexcerpt', true ); ?>
    <?php $dvptlink = get_post_meta( get_the_id(), 'dvptlink', true ); ?>
    <li>
        <figure>
            <a id="dvgridboxlink<?php echo esc_attr($random); ?><?php the_ID(); ?>"<?php if ( has_post_format( 'link' )) { ?> href="<?php echo esc_url($dvptlink); ?>" target="_blank"<?php } else { ?> href="#dvteambox<?php echo esc_attr($random); ?><?php the_ID(); ?>"<?php } ?> <?php if (($side == 'center') && (!has_post_format( 'link' ))) { ?> class="popup-with-zoom-anim" <?php } ?>>
                <img src="<?php echo esc_url($thumb_url); ?>" alt="<?php the_title(); ?>" />
                <?php if ($removeinfo != 'true') { ?>
                <div class="dv-member-zoom"></div>
                <?php } ?>
            </a>
                <figcaption>
                    <div class="dv-member-desc">
                        <div><span class="dv-member-name"><?php the_title(); ?></span></div>
                        <?php if (!empty($dvexcerpt)) { ?>
                        <div><span class="dv-member-info"><?php echo esc_attr($dvexcerpt); ?></span></div>
                        <?php } ?>
                    </div>
                </figcaption>
        </figure>
    </li>
    <?php } ?>
    <?php endwhile; ?>
</ul>
<div class="dv-clear"></div>

<?php $align = esc_attr(get_option('dvteam_thumbnailalign')); ?>
<script type="text/javascript">
    jQuery(document).ready(function () {
        "use strict";
        var wookmark;
        imagesLoaded('#dvteamgrid<?php echo esc_attr($random); ?>', function () {
            wookmark = new Wookmark('#dvteamgrid<?php echo esc_attr($random); ?>', {
                itemWidth: <?php if (!empty($itemwidth)) { echo esc_js($itemwidth); } else { echo esc_js('250'); } ?>,
                autoResize: true,
                resizeDelay: 500,
                <?php if (is_rtl()) { echo stripslashes(esc_js("direction: 'right',")); } ?>
                align: '<?php if (!empty($align)) { echo esc_js($align); } else { echo esc_js('left'); } ?>',
                container: jQuery('#dvteamgrid<?php echo esc_attr($random); ?>'),
                offset: <?php if (!empty($offset) || $offset == '0') { echo esc_js($offset); } else { echo esc_js('20'); } ?>,
                outerOffset: 0,
                fillEmptySpace: false,
                flexibleWidth: '100%'
            });
            setTimeout(function(){
                jQuery("#dvteamgrid<?php echo esc_attr($random); ?>").css('visibility','visible');
            }, 500);
        });
    });
</script>
<?php
self::$dv_team_args[] = $dvmemberargs;
self::$dv_team_id[] = $random;
self::$dv_team_panel_side[] = $side;
?>
<?php wp_reset_postdata(); ?>